<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFTableRow (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFTableRow (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFTableRow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFTableRow.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFTableRow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFTableRow" class="title">Class XWPFTableRow</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xwpf.usermodel.XWPFTableRow</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFTableRow</span>
extends java.lang.Object</pre>
                <div class="block">A row within an <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                      title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTable</code></a>.
                    Rows mostly just have
                    sizings and stylings, the interesting content lives inside
                    the child <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                 title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTableCell</code></a>s
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#XWPFTableRow-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTRow-org.apache.poi.xwpf.usermodel.XWPFTable-">XWPFTableRow</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTRow&nbsp;row,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#addNewTableCell--">addNewTableCell</a></span>()</code>
                                    <div class="block">adds a new TableCell at the end of this tableRow</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#createCell--">createCell</a></span>()</code>
                                    <div class="block">create a new XWPFTableCell and add it to the tableCell-list of
                                        this tableRow
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getCell-int-">getCell</a></span>(int&nbsp;pos)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.wordprocessingml.x2006.main.CTRow</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getCtRow--">getCtRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getHeight--">getHeight</a></span>()</code>
                                    <div class="block">This element specifies the height of the current table row within
                                        the
                                        current table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getTable--">getTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">getTableCell</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</code>
                                    <div class="block">returns the XWPFTableCell which belongs to the CTTC cell
                                        if there is no XWPFTableCell which belongs to the parameter CTTc cell null will
                                        be returned
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getTableCells--">getTableCells</a></span>()</code>
                                    <div class="block">create and return a list of all XWPFTableCell
                                        who belongs to this row
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">ICell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#getTableICells--">getTableICells</a></span>()</code>
                                    <div class="block">create and return a list of all XWPFTableCell
                                        who belongs to this row
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#isCantSplitRow--">isCantSplitRow</a></span>()</code>
                                    <div class="block">Return true if the "can't split row" value is true.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#isRepeatHeader--">isRepeatHeader</a></span>()</code>
                                    <div class="block">Return true if a table's header row should be repeated at the top
                                        of a
                                        table split across pages.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#removeCell-int-">removeCell</a></span>(int&nbsp;pos)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#setCantSplitRow-boolean-">setCantSplitRow</a></span>(boolean&nbsp;split)</code>
                                    <div class="block">Controls whether to allow this table row to split across pages.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#setHeight-int-">setHeight</a></span>(int&nbsp;height)</code>
                                    <div class="block">This element specifies the height of the current table row within
                                        the
                                        current table.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableRow.html#setRepeatHeader-boolean-">setRepeatHeader</a></span>(boolean&nbsp;repeat)</code>
                                    <div class="block">This attribute controls whether to repeat a table's header row at
                                        the top
                                        of a table split across pages.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFTableRow-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTRow-org.apache.poi.xwpf.usermodel.XWPFTable-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFTableRow</h4>
                                <pre>public&nbsp;XWPFTableRow(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTRow&nbsp;row,
                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                       title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;table)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCtRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCtRow</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.CTRow&nbsp;getCtRow()</pre>
                            </li>
                        </ul>
                        <a name="createCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;createCell()</pre>
                                <div class="block">create a new XWPFTableCell and add it to the tableCell-list of this
                                    tableRow
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the newly created XWPFTableCell</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;getCell(int&nbsp;pos)</pre>
                            </li>
                        </ul>
                        <a name="removeCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCell</h4>
                                <pre>public&nbsp;void&nbsp;removeCell(int&nbsp;pos)</pre>
                            </li>
                        </ul>
                        <a name="addNewTableCell--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewTableCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;addNewTableCell()</pre>
                                <div class="block">adds a new TableCell at the end of this tableRow</div>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>public&nbsp;int&nbsp;getHeight()</pre>
                                <div class="block">This element specifies the height of the current table row within the
                                    current table. This height shall be used to determine the resulting
                                    height of the table row, which may be absolute or relative (depending on
                                    its attribute values). If omitted, then the table row shall automatically
                                    resize its height to the height required by its contents (the equivalent
                                    of an hRule value of auto).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>height</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeight</h4>
                                <pre>public&nbsp;void&nbsp;setHeight(int&nbsp;height)</pre>
                                <div class="block">This element specifies the height of the current table row within the
                                    current table. This height shall be used to determine the resulting
                                    height of the table row, which may be absolute or relative (depending on
                                    its attribute values). If omitted, then the table row shall automatically
                                    resize its height to the height required by its contents (the equivalent
                                    of an hRule value of auto).
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTable.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFTable</a>&nbsp;getTable()</pre>
                            </li>
                        </ul>
                        <a name="getTableICells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableICells</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/ICell.html"
                                        title="interface in org.apache.poi.xwpf.usermodel">ICell</a>&gt;&nbsp;getTableICells()</pre>
                                <div class="block">create and return a list of all XWPFTableCell
                                    who belongs to this row
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a list of <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTableCell</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTableCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableCells</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&gt;&nbsp;getTableCells()</pre>
                                <div class="block">create and return a list of all XWPFTableCell
                                    who belongs to this row
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a list of <a
                                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                            title="class in org.apache.poi.xwpf.usermodel"><code>XWPFTableCell</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTableCell-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTableCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFTableCell</a>&nbsp;getTableCell(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTTc&nbsp;cell)</pre>
                                <div class="block">returns the XWPFTableCell which belongs to the CTTC cell
                                    if there is no XWPFTableCell which belongs to the parameter CTTc cell null will be
                                    returned
                                </div>
                            </li>
                        </ul>
                        <a name="isCantSplitRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isCantSplitRow</h4>
                                <pre>public&nbsp;boolean&nbsp;isCantSplitRow()</pre>
                                <div class="block">Return true if the "can't split row" value is true. The logic for
                                    this
                                    attribute is a little unusual: a TRUE value means DON'T allow rows to
                                    split, FALSE means allow rows to split.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if rows can't be split, false otherwise.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCantSplitRow-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCantSplitRow</h4>
                                <pre>public&nbsp;void&nbsp;setCantSplitRow(boolean&nbsp;split)</pre>
                                <div class="block">Controls whether to allow this table row to split across pages.
                                    The logic for this attribute is a little unusual: a true value means
                                    DON'T allow rows to split, false means allow rows to split.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>split</code> - - if true, don't allow row to be split. If false, allow
                                        row to be split.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isRepeatHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRepeatHeader</h4>
                                <pre>public&nbsp;boolean&nbsp;isRepeatHeader()</pre>
                                <div class="block">Return true if a table's header row should be repeated at the top of
                                    a
                                    table split across pages. NOTE - Word will not repeat a table row unless
                                    all preceding rows of the table are also repeated. This function returns
                                    false if the row will not be repeated even if the repeat tag is present
                                    for this row.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if table's header row should be repeated at the top of each
                                        page of table, false otherwise.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRepeatHeader-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setRepeatHeader</h4>
                                <pre>public&nbsp;void&nbsp;setRepeatHeader(boolean&nbsp;repeat)</pre>
                                <div class="block">This attribute controls whether to repeat a table's header row at the
                                    top
                                    of a table split across pages. NOTE - for a row to be repeated, all preceding
                                    rows in the table must also be repeated.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>repeat</code> - - if TRUE, repeat header row at the top of each page of
                                        table;
                                        if FALSE, don't repeat header row.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFTableRow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFTableCell.XWPFVertAlign.html"
               title="enum in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFTableRow.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFTableRow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
